imports:
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Default.yaml" }
  - { resource: "EXT:rte_ckeditor_image/Configuration/RTE/Plugin.yaml" }
  - { resource: "EXT:rte_ckeditor_fontawesome/Configuration/RTE/PluginFA5.yaml" }

editor:
  externalPlugins:
    bootstrapAccordion:
      resource: "EXT:pmu_common/Resources/Public/CKEditor/Plugins/BootstrapAccordion/"
    youtube:
      resource: "EXT:pmu_common/Resources/Public/CKEditor/Plugins/Youtube/"
  config:
    stylesSet:
      - { name: "Responsive Img", element: "img", attributes: { class: "img-fluid"} }
      - { name: "CTA-Button Standard", element: "a", attributes: {class : "btn btn-primary"} }
      - { name: "CTA-Button Light", element: "a", attributes: {class : "btn btn-light pmu-color"} }
    removePlugins: null
    removeButtons: null
    extraAllowedContent: '*(*)[data-*]; iframe'
processing:
  allowTags:
    - iframe
    - video
